<?php  
namespace App\Models\Entities;

enum QuestionType: int
{
    case Required = 0;
    case Optional = 1;

    public function label(): string
    {
        return match($this) {
            static::Required => 'Requerida',
            static::Optional => 'Opcional',
        };
    }
}